[P062]Create Image Batch Search Task

post
https://connect.patsnap.com/search/patent/image-search/single-batch-create
Try in Sandbox

Support batch uploading of multiple product images (up to 10 images) to create image batch retrieval tasks (retrieval results are the same as [P060] Patent Image Retrieval - Single Image), and return job_id. Batch image retrieval tasks are performed daily from 22:00 to 08:00. After 8:00 the day after requesting job_i, the [P062] interface is called based on job_i to obtain the batch image retrieval results (link to the corresponding interface page URL) and retrieve the retrieval results.

Note: 1. Supports commonly used image formats (jpg, png), with files smaller than 4M. The obtained similar image path is valid for 9 hours (32400 seconds) and will be cleared after expiration; 2. Each image supports a maximum of 100 similar patent results, and supports setting a limit to limit the number of returns; 3. Support passing a similarity threshold and returning a list of similar patents with a similarity greater than the threshold. If a limit is set at the same time, take the minimum value of both and return the number of patents; 4. Billing rules: If the billing is found, the result will be returned based on the last successful image; Unit price * query image URL quantity (total search result count) 5. If you need to use local image retrieval, you can first call the [P010] Patent Image Similarity Retrieval] interface to upload images and obtain URLs that can be accessed on the public network 6. Asynchronous interface, image retrieval tasks are executed daily from 22:00 to 08:00;

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
apply_end_time
string20200101
Patent apply date to, format:yyyyMMdd
apply_start_time
string20100101
Patent apply date from, format:yyyyMMdd
assignees
stringhuawei
all assignees
country
array[ "US", "EU", "CN" ]
patent authority code For the authority code, refer to https://analytics.patsnap.com/status, Multiple items can be searched, separated by comma.
field
stringSCORE

field sort(only Chinese).field support SCORE,APD,PBD,ISD. The default SCORE

include_machine_translation
booleantrue
Includes Machine Translations
is_https
integer<int32>-

Select whether to return https domain image, default is 0, that is, return http domain image

1: Return https

0: Return http

lang
stringoriginal
Set the language preference of the title, you can choose cn, en or original, the default is original: original: Original title cn: Chinese translation title en: English translation Title
legal_status
string3,2

patent legal status

1:Published 2:Examining 3:Granted 8:Double 11:Withdrawn 12:Withdrawn-Undetermined 17:Withdrawn-Deemed 18:Withdrawn-Voluntarily 13:Rejected 14:Revoked 15:Expired 16:Non-payment 21:Restoration 22:Ceased 23:P-Revoked 24:Discontinuation 30:Abandoned 19:Abandoned-Deemed 20:Abandoned-Voluntarily 25:Abandoned-Undetermined 222:Non-Entry PCT-NP (In time limit)) 223:PCT-NP (In time limit) 224:PCT-NP (Past time limit) 225:Non-Entry PCT-NP (Past time limit)

limit
integer<int32>10
Returns the number of patents, 1 <= limit <= 100,default is 10
loc
string(14-03 OR 14-02)

LOC is the classification for Industrial Designs.

Enter LOC code, use AND/OR/NOT to connect multiple codes.

main_field
string(phones or 手机)

patent main field

The main field includes: title, abstract, claims, description, publication number, application number, applicant, inventor and IPC/UPC/LOC classification numbers.

model
Required
integer<int32>1

Select the image search model (there are different models for design patent and utility model)

Designs:

1: Smart Recommendation [recommended]

2: Image Search

Utility models:

3: Search by shape only

4: Search by shape & color [recommended]

offset
integer<int32>-
0 <= offset <= 1000, default is 0 If you want to get patents that are ranked lower than 100, you can set offset=100
order
stringdesc
order supports desc,asc. The default desc
patent_type
Required
stringD

选择检索外观专利或实用新型专利:

D:外观专利

U:实用新型专利

public_end_time
string20200101
Patent publication date to, format:yyyyMMdd
public_start_time
string20100101
Patent publication date from, format:yyyyMMdd
return_img_id
boolean-
Whether to return img_id
score_expansion
booleantrue
Score expansion
simple_legal_status
string1,2

patent simple legal status

0:Inactive 1:Active 2:Pending 220:PCT designated stage expired 221:PCT designated stage 999:Undetermined, Multiple items can be searched, separated by comma.

urls
Required
array[ "https://static-open.zhihuiya.com/sample/common_demo.png" ]
image url
stemming
integer<int32>-

Whether to turn on the stemming function, 1: turn on; 0: turn off. Off by default

Note:

Stemming ON will search for the original word and expand the search to consider singular, plural, and tense variations e.g. a search for "come" will expand to "comes", "came", "coming" and so on.

Stemming OFF will only search for exact matches of the keywords entered.

The use of wildcards in keywords within a search query will impact the effect of stemming.

Stemming ON only supports English words. Stemming does not apply to Assignees, Inventors, or any other person-related fields.

pre_filter
integer<int32>1
Whether to turn on the pre_filter function, 1: turn on; 0: turn off. on by default

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
job_id
string1
task id
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "job_id": 1
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms